<?php

namespace App\Enums;

enum UserRole: string
{
    case ADMIN = "admin";
    case OWNER = "owner";
    case USER = "user";
    case GUARD = "guard";


    /**
     * Get all role values
     */
    public static function values(): array {
        return array_column(self::cases(), 'value');
    }
}
